Bug 809472 - [abrt] midori-0.4.3-1.fc16: WebCore::Widget::setCursor: Process /usr/bin/midori was killed by signal 11 (SIGSEGV)
[abrt] midori-0.4.3-1.fc16: WebCore::Widget::setCursor: Process /usr/bin/mido...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: midori (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:93c2f3a3088804b3f56092708d6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 09:02 EDT by Philippe Noroy
Modified: 2013-02-13 20:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 20:41:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (13.63 KB, text/plain)
2012-04-03 09:02 EDT, Philippe Noroy
no flags Details
File: build_ids (4.96 KB, text/plain)
2012-04-03 09:02 EDT, Philippe Noroy
no flags Details
File: maps (64.58 KB, text/plain)
2012-04-03 09:02 EDT, Philippe Noroy
no flags Details
File: backtrace (32.59 KB, text/plain)
2012-04-03 09:02 EDT, Philippe Noroy
no flags Details

  None (edit)
Description Philippe Noroy 2012-04-03 09:02:41 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/midori
crash_function: WebCore::Widget::setCursor
executable:     /usr/bin/midori
kernel:         3.3.0-4.fc16.x86_64
pid:            1688
pwd:            /home/philippe
reason:         Process /usr/bin/midori was killed by signal 11 (SIGSEGV)
time:           mar. 03 avril 2012 14:51:56 CEST
uid:            1000
username:       philippe

backtrace:      Text file, 33370 bytes
build_ids:      Text file, 5084 bytes
dso_list:       Text file, 13953 bytes
maps:           Text file, 66132 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1506
:HOSTNAME=PCPhil.lan
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/philippe/.gnupg/S.gpg-agent:1527:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=3c94cfb99762d0db4a44413d0000000d-1333449888.22939-102989604
:GNOME_KEYRING_CONTROL=/tmp/keyring-1FYjb8
:IMSETTINGS_MODULE=none
:USER=philippe
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-SgMzHXTM1374/agent.1374
:USERNAME=philippe
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/philippe
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/philippe/.local/bin:/home/philippe/bin
:QT_IM_MODULE=xim
:PWD=/home/philippe
:XMODIFIERS=@im=none
:LANG=fr_FR.UTF-8
:GNOME_KEYRING_PID=1370
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/philippe
:LOGNAME=philippe
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ET9pkEZyE2,guid=fcd068098187fb1d9db1ef79000000d7
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/philippe
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-philippe-jGIp8V/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1536,unix/unix:/tmp/.ICE-unix/1536
:DISPLAY=:0.0

smolt_data:
:
:
:Général
:=================================
:UUID: d48860b3-fa54-4d90-9a4d-bfa922d9ebc8
:SE: Fedora release 16 (Verne)
:Niveau d'exécution par défaut: Unknown
:Langue: fr_FR.UTF-8
:Plateforme: x86_64
:BogoMIPS: 3299.89
:Fabricant du processeurs: AuthenticAMD
:Modèle de processeur: AMD E-450 APU with Radeon(tm) HD Graphics
:Stepping du processeur: 0
:Famille de processeur: 20
:Modèle du processeur: 2
:Nombre de processeurs: 2
:Vitesse du processeur: 1650
:Mémoire du système: 5952
:Swap du système: 7999
:Fabricant: System manufacturer
:Système: System Product Name System Version
:Type d'ordinateur: Desktop
:Noyau: 3.3.0-4.fc16.x86_64
:SELinux activé: 1
:Stratégie SELinux: targeted
:SELinux strict: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(4098:17297:4163:33942) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4130:5392:4163:34023) pci, None, HOST/PCI, Family 14h Processor Root Complex
:(4098:4884:4163:34023) pci, snd_hda_intel, MULTIMEDIA, Wrestler HDMI Audio [Radeon HD 6250/6310]
:(4098:38918:4163:34023) pci, radeon, VIDEO, N/A
:(6945:4224:4163:33929) pci, None, PCI/PCI, N/A
:(4130:5912:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 6
:(4130:5892:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 4
:(4130:5913:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 7
:(4130:5910:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 5
:(4130:5889:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 1
:(4130:5888:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 0
:(4130:5891:0:0) pci, k10temp, HOST/PCI, Family 12h/14h Processor Function 3
:(4130:5890:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 2
:(4098:17302:4163:33942) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4163:33942) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(4098:17312:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 0)
:(4098:17313:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 1)
:(4098:17314:4098:0) pci, pcieport, PCI/PCI, N/A
:(4098:17315:4098:0) pci, pcieport, PCI/PCI, N/A
:(4098:17285:4163:33942) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17309:4163:33942) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4163:33861) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:4163:33942) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(6945:4162:4163:33928) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:(4098:17302:4163:33942) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4163:33942) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:4163:33942) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4163:33942) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4358:12356:4163:33278) pci, firewire_ohci, FIREWIRE, M4A series motherboard
:(6164:770:5218:47156) pci, rt61pci, NETWORK, PC54G3 Wireless 11g PCI Card
:(4541:21:4541:34) pci, None, FIREWIRE, N/A
:(4541:48862:4541:34) pci, None, MULTIMEDIA, AV/DV Studio Capture Card
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_pcphil-lv_root / ext4 4096 4096 13092922 11703314 11572277 3276800 3148605 3148605
:/dev/sda2 /boot ext4 1024 1024 508745 435317 409717 128016 127786 127786
:/dev/mapper/vg_pcphil-lv_home /home ext4 4096 4096 140844642 105972239 98922614 35250176 35201021 35201021
:

var_log_messages:
:Apr  1 12:05:22 PCPhil kernel: [12305.824374] midori[2212] general protection ip:33ed247c10 sp:7fffa692b218 error:0 in libwebkitgtk-1.0.so.0.11.0[33ece00000+1804000]
:Apr  1 12:05:31 PCPhil abrt[3094]: Saved core dump of pid 2212 (/usr/bin/midori) to /var/spool/abrt/ccpp-2012-04-01-12:05:22-2212 (1381396480 bytes)
:Apr  1 12:07:06 PCPhil kernel: [12409.564904] midori[3125]: segfault at 640075 ip 00000033ed247c10 sp 00007fff718fd908 error 6 in libwebkitgtk-1.0.so.0.11.0[33ece00000+1804000]
:Apr  1 12:07:13 PCPhil abrt[3231]: Saved core dump of pid 3125 (/usr/bin/midori) to /var/spool/abrt/ccpp-2012-04-01-12:07:06-3125 (1267384320 bytes)
:Apr  1 12:27:34 PCPhil kernel: [13637.919749] midori[3261] general protection ip:33ed247c10 sp:7fff1e1fa098 error:0 in libwebkitgtk-1.0.so.0.11.0[33ece00000+1804000]
:Apr  1 12:27:41 PCPhil abrt[3502]: Saved core dump of pid 3261 (/usr/bin/midori) to /var/spool/abrt/ccpp-2012-04-01-12:27:34-3261 (1286725632 bytes)
:Apr  3 14:51:56 PCPhil kernel: [ 7843.326455] midori[1688]: segfault at 0 ip 00000033ee1d7dda sp 00007fffed1e12b0 error 4 in libwebkitgtk-1.0.so.0.11.0[33ece00000+1804000]
:Apr  3 14:52:04 PCPhil abrt[2409]: Saved core dump of pid 1688 (/usr/bin/midori) to /var/spool/abrt/ccpp-2012-04-03-14:51:56-1688 (1331703808 bytes)

xsession_errors:
:** (midori:1688): CRITICAL **: midori_browser_notebook_resize: assertion `n > 0' failed
:** (midori:1733): CRITICAL **: midori_browser_notebook_resize: assertion `n > 0' failed
:** (midori:1733): CRITICAL **: midori_browser_notebook_resize: assertion `n > 0' failed
:** (midori:1688): CRITICAL **: enchant_dict_check: assertion `len' failed
Comment 1 Philippe Noroy 2012-04-03 09:02:46 EDT
Created attachment 574856 [details]
File: dso_list
Comment 2 Philippe Noroy 2012-04-03 09:02:49 EDT
Created attachment 574857 [details]
File: build_ids
Comment 3 Philippe Noroy 2012-04-03 09:02:52 EDT
Created attachment 574858 [details]
File: maps
Comment 4 Philippe Noroy 2012-04-03 09:02:57 EDT
Created attachment 574859 [details]
File: backtrace
Comment 5 Kevin Fenzi 2012-04-03 14:40:55 EDT
What were you doing when this happened? 

Can you duplicate it?

Possibly this is related to the iced-web java plugin. Does disabling that prevent the crash?
Comment 6 Fedora End Of Life 2013-01-16 18:17:38 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 20:41:27 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.